/*
 * @(#)src/classes/sov/java/awt/peer/WindowPeer.java, awt, as131, 20021102 1.5.2.1
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001. All Rights Reserved
 * ===========================================================================
 */

/*
 *
 * ===========================================================================
 *
 * Copyright 1995-2000 Sun Microsystems, Inc. All Rights Reserved.
 * ===========================================================================
 */
 
/*
 * @(#)WindowPeer.java	1.8 98/06/29
 *
 */

package java.awt.peer;

import java.awt.*;
import java.awt.event.KeyEvent;

/**
 * The peer interfaces are intended only for use in porting
 * the AWT. They are not intended for use by application
 * developers, and developers should not implement peers
 * nor invoke any of the peer methods directly on the peer
 * instances.
 */
public interface WindowPeer extends ContainerPeer {
    void toFront();
    void toBack();

    int handleFocusTraversalEvent(KeyEvent e);
    public final static int IGNORE_EVENT = 0;
    public final static int CONSUME_EVENT = 1;
    public final static int FOCUS_NEXT = 2;
    public final static int FOCUS_PREVIOUS = 3;
}

